
From: Kumar Gala <galak@freescale.com>

This patch fixes a trival bug in the CRITICAL_EXCEPTION macro

Signed-off-by: Takeharu KATO <kato.takeharu@jp.fujitsu.com>
Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/head_booke.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc/kernel/head_booke.h~ppc32-trivial-bug-fix-in-critical_exception-macro arch/ppc/kernel/head_booke.h
--- 25/arch/ppc/kernel/head_booke.h~ppc32-trivial-bug-fix-in-critical_exception-macro	2005-03-02 20:40:41.000000000 -0800
+++ 25-akpm/arch/ppc/kernel/head_booke.h	2005-03-02 20:40:41.000000000 -0800
@@ -194,8 +194,8 @@ label:
 	CRITICAL_EXCEPTION_PROLOG;				\
 	addi	r3,r1,STACK_FRAME_OVERHEAD;			\
 	EXC_XFER_TEMPLATE(hdlr, n+2, (MSR_KERNEL & ~(MSR_ME|MSR_DE|MSR_CE)), \
-			  NOCOPY, transfer_to_handler_full, \
-			  ret_from_except_full)
+			  NOCOPY, crit_transfer_to_handler, \
+			  ret_from_crit_exc)
 
 #define MCHECK_EXCEPTION(n, label, hdlr)			\
 	START_EXCEPTION(label);					\
_
